I think we should move to version 5. Pretty sure it comes with security updates.